org.eclipse.wst.jsdt.jsdoc.msdn

## Class MsdnElement

- java.lang.Object
- - org.eclipse.wst.jsdt.jsdoc.ElementInfo
  - - org.eclipse.wst.jsdt.jsdoc.msdn.MsdnElement

    public class MsdnElement
    extends ElementInfo

### Field Summary

### Fields inherited from class org.eclipse.wst.jsdt.jsdoc.ElementInfo

`baseUrl, children, CLASS, COLLECTION, DEBUG, EVENT, instances, keepCache, METHOD, name, nodes, parent, PROPERTY, type, useCache, visited`

### Constructor Summary

Constructors
Constructor and Description
`MsdnElement(java.lang.String baseUrl)`
`MsdnElement(java.lang.String baseUrl, ElementInfo parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains(java.lang.String s1, java.lang.String searchFor)`
`ElementInfo[]` `getChildren()`
`ElementInfo[]` `getCollections()`
`ElementInfo[]` `getEvents()`
`java.lang.String` `getJsDoc(java.lang.String parentName)`
`java.lang.String` `getJsStructure()`
`java.lang.String` `getJsStructure(java.lang.String parent)`
`java.lang.String` `getJsTypeName()`
`ElementInfo[]` `getMethods()`
`java.lang.String` `getName()`
`ElementInfo[]` `getObjects()`
`java.lang.String[][]` `getParamaters()`
`java.lang.String` `getParamString()`
`ElementInfo[]` `getProperties()`
`java.lang.String` `getSince()`
`java.lang.String` `getSuperType()`
`int` `getType()`
`java.lang.String` `getTypeName()`
`boolean` `hasChildren()`
`boolean` `isStatic()`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.wst.jsdt.jsdoc.ElementInfo

`addNode, clearVisit, equals, finalize, findChild, freeObject, getBaseUrl, getDeclarationString, getFoundObjects, getPageText, getParent, getUrl, isDefined, setKeepCache, setUseCache, shouldKeepCache, shouldUseCache, visit`

### Methods inherited from class java.lang.Object

`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MsdnElement

    public MsdnElement(java.lang.String baseUrl,
                       ElementInfo parent)

#### MsdnElement

    public MsdnElement(java.lang.String baseUrl)

### Method Detail

#### getJsTypeName

    public java.lang.String getJsTypeName()

#### getJsDoc

    public java.lang.String getJsDoc(java.lang.String parentName)

Overrides:
  `getJsDoc` in class `ElementInfo`

#### getParamaters

    public java.lang.String[][] getParamaters()

#### getSuperType

    public java.lang.String getSuperType()

#### getSince

    public java.lang.String getSince()

#### getJsStructure

    public java.lang.String getJsStructure()

Overrides:
  `getJsStructure` in class `ElementInfo`

#### getParamString

    public java.lang.String getParamString()

#### getJsStructure

    public java.lang.String getJsStructure(java.lang.String parent)

Overrides:
  `getJsStructure` in class `ElementInfo`

#### isStatic

    public boolean isStatic()

Overrides:
  `isStatic` in class `ElementInfo`

#### getName

    public java.lang.String getName()

Overrides:
  `getName` in class `ElementInfo`

#### contains

    public boolean contains(java.lang.String s1,
                            java.lang.String searchFor)

#### getType

    public int getType()

Overrides:
  `getType` in class `ElementInfo`

#### getTypeName

    public java.lang.String getTypeName()

Overrides:
  `getTypeName` in class `ElementInfo`

#### getChildren

    public ElementInfo[] getChildren()

Overrides:
  `getChildren` in class `ElementInfo`

#### hasChildren

    public boolean hasChildren()

Overrides:
  `hasChildren` in class `ElementInfo`

#### getProperties

    public ElementInfo[] getProperties()

#### getMethods

    public ElementInfo[] getMethods()

#### getObjects

    public ElementInfo[] getObjects()

#### getEvents

    public ElementInfo[] getEvents()

#### getCollections

    public ElementInfo[] getCollections()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ElementInfo`